# Source this file if using sh or a shell derived from it
export OSG_LOCATION="@@OSG_LOCATION@@"
export GFAL_CONFIG_DIR="$OSG_LOCATION/etc/gfal2.d/"
export GFAL_PLUGIN_DIR="$OSG_LOCATION/usr/lib64/gfal2-plugins/"
export GLOBUS_LOCATION="$OSG_LOCATION/usr"
export PATH="$OSG_LOCATION/usr/bin:$OSG_LOCATION/usr/sbin:$PATH"
export X509_CERT_DIR="$OSG_LOCATION/etc/grid-security/certificates"
export X509_VOMS_DIR="$OSG_LOCATION/etc/grid-security/vomsdir"
export VOMS_USERCONF="$OSG_LOCATION/etc/vomses"
if [ "X" != "X${LD_LIBRARY_PATH-}" ]; then
	export LD_LIBRARY_PATH="$OSG_LOCATION/lib64:$OSG_LOCATION/lib:$OSG_LOCATION/usr/lib64:$OSG_LOCATION/usr/lib:$OSG_LOCATION/usr/lib64/dcap:$OSG_LOCATION/usr/lib64/lcgdm:$LD_LIBRARY_PATH"
else
	export LD_LIBRARY_PATH="$OSG_LOCATION/lib64:$OSG_LOCATION/lib:$OSG_LOCATION/usr/lib64:$OSG_LOCATION/usr/lib:$OSG_LOCATION/usr/lib64/dcap:$OSG_LOCATION/usr/lib64/lcgdm"
fi

if [ "X" != "X${PERL5LIB-}" ]; then
	export PERL5LIB="$OSG_LOCATION/usr/share/perl5/vendor_perl:$OSG_LOCATION/usr/share/perl5:$OSG_LOCATION/usr/lib64/perl5/vendor_perl:$OSG_LOCATION/usr/lib64/perl5:$PERL5LIB"
else
	export PERL5LIB="$OSG_LOCATION/usr/share/perl5/vendor_perl:$OSG_LOCATION/usr/share/perl5:$OSG_LOCATION/usr/lib64/perl5/vendor_perl:$OSG_LOCATION/usr/lib64/perl5"
fi

if [ "X" != "X${PYTHONPATH-}" ]; then
	export PYTHONPATH="$OSG_LOCATION/usr/lib/python2.7/site-packages:$OSG_LOCATION/usr/lib64/python2.7/site-packages:$PYTHONPATH"
else
	export PYTHONPATH="$OSG_LOCATION/usr/lib/python2.7/site-packages:$OSG_LOCATION/usr/lib64/python2.7/site-packages"
fi

if [ "X" != "X${MANPATH-}" ]; then
	export MANPATH="$OSG_LOCATION/usr/share/man:$MANPATH"
else
	export MANPATH="$OSG_LOCATION/usr/share/man"
fi


# Site-specific customizations
if [ -r "$OSG_LOCATION/setup-local.sh" ]; then
	. "$OSG_LOCATION/setup-local.sh"
fi

